Bug 213700 - devel/py-http-prompt: Update to 0.8.0
Summary: devel/py-http-prompt: Update to 0.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: easy
Depends on: 213728
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-22 11:01 UTC by Danilo G. Baio
Modified: 2017-01-09 02:58 UTC (History)
2 users (show)

See Also:


Attachments
py-http-prompt-0.7.0.patch (1.10 KB, patch)
2016-10-22 11:01 UTC, Danilo G. Baio
dbaio: maintainer-approval+
Details | Diff
py-http-prompt-0.7.0_v2.patch (1.13 KB, patch)
2016-10-23 12:49 UTC, Danilo G. Baio
dbaio: maintainer-approval+
Details | Diff
py-http-prompt-0.8.0.patch (1.13 KB, patch)
2016-11-18 23:34 UTC, Danilo G. Baio
dbaio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2016-10-22 11:01:26 UTC
Created attachment 176057 [details]
py-http-prompt-0.7.0.patch

- Update to 0.7.0
- Update dependency version (httpie)

Changelog:

- New feature: Shell substitution (#54, #61, #74)
- New feature: Piping to shell (#61, #74)
- New feature: Be able to delete all parameters of a given type (#79)

[Q/A]

portlint: OK (looks fine.)
testport: 
	poudriere: i386,  9.3   (OK)
	poudriere: amd64, 9.3   (OK)
	poudriere: i386,  10.3  (OK)
	poudriere: amd64, 10.3  (OK)
	poudriere: i386,  11    (OK)
	poudriere: amd64, 11    (OK)
	poudriere: i386,  12    (OK)
	poudriere: amd64, 12    (OK)
Comment 1 Danilo G. Baio freebsd_committer 2016-10-23 12:49:49 UTC
Created attachment 176083 [details]
py-http-prompt-0.7.0_v2.patch


Updating patch following bug 213728 (support multiple/concurrent versions) [1]

[1] - Reported by koobs@ on IRC, support multiple/concurrent 
      versions on httpie and py-http-prompt)

portlint and testport (python 2.7 and 3.4) are fine.
Comment 2 Danilo G. Baio freebsd_committer 2016-11-18 23:34:32 UTC
Created attachment 177162 [details]
py-http-prompt-0.8.0.patch


Updating patch to http-prompt version 0.8.0.

- Update to 0.8.0
- Update dependency version (httpie)

Changelog:

0.8.0
- Add support for OPTIONS method (#84)
- Fix highlighting bug with parameters starting with HTTP method names (#86)
- Fix excessive newlines after headers and body (#89)

0.7.0
- New feature: Shell substitution (#54, #61, #74)
- New feature: Piping to shell (#61, #74)
- New feature: Be able to delete all parameters of a given type (#79)

[Q/A]

portlint: OK (looks fine.)
testport: python 2.7 and 3.5
	poudriere: i386,  9.3   (OK)
	poudriere: amd64, 9.3   (OK)
	poudriere: i386,  10.3  (OK)
	poudriere: amd64, 10.3  (OK)
	poudriere: i386,  11    (OK)
	poudriere: amd64, 11    (OK)
	poudriere: i386,  12    (OK)
	poudriere: amd64, 12    (OK)
Comment 3 commit-hook freebsd_committer 2017-01-09 02:53:22 UTC
A commit references this bug:

Author: junovitch
Date: Mon Jan  9 02:53:06 UTC 2017
New revision: 430906
URL: https://svnweb.freebsd.org/changeset/ports/430906

Log:
  devel/py-http-prompt: update 0.6.0 -> 0.8.0; update dependency [1]

  - Update dependency version
  - Rename dependency to match standard Python package naming and support
    multiple/concurrent versions on httpie and py-http-prompt

  www/py-httpie: rename from www/httpie; fix dependencies; set NO_ARCH [2]
  www/Makefile: chase rename
  MOVED: document rename

  Changelog:
  - 0.7.0
  * New feature: Shell substitution (#54, #61, #74)
  * New feature: Piping to shell (#61, #74)
  * New feature: Be able to delete all parameters of a given type (#
  - 0.8.0
  * Add support for OPTIONS method (#84)
  * Fix highlighting bug with parameters starting with HTTP method names (#86)
  * Fix excessive newlines after headers and body (#89)

  PR:		213700 [1]
  PR:		213728 [2]
  Submitted by:	Danilo G. Baio <dbaio@bsd.com.br> (maintainer)

Changes:
  head/MOVED
  head/devel/py-http-prompt/Makefile
  head/devel/py-http-prompt/distinfo
  head/www/Makefile
  head/www/httpie/
  head/www/py-httpie/
  head/www/py-httpie/Makefile
Comment 4 Jason Unovitch freebsd_committer 2017-01-09 02:58:34 UTC
Close. No issues with the py-http-prompt changes. The www/py-httpie rename was applied as a "just fix it" to get that port in line with Python package naming in pursuit of this PR.